Page MenuHomePhabricator

libvmod-netmapper: must specify ABI stanza
Closed, ResolvedPublic

Description

Starting with 6.0.0, VMOD descriptions can specify an ABI stanza. The valid values are either vrt or strict (the default). Strict means that VMODs built against a specific Varnish version will only work on that version, regardless of the ABI compatibility declared with VRT_MAJOR/MINOR . libvmod-netmapper currently does not set $ABI, hence a binary build of the netmapper module against 6.0.6 does not work against 6.0.4:

**** v1    0.1 CLI RX|\tFile name: /usr/lib/x86_64-linux-gnu/varnish/vmods/libvmod_netmapper.so
**** v1    0.1 CLI RX|\tABI mismatch, expected <Varnish 6.0.4 14d4eee6f0afc3020a044341235f54f3bd1449f1>, got <Varnish 6.0.6 29a1a8243dbef3d973aec28dc90403188c1dc8e7>

Event Timeline

ema created this task.Tue, Oct 27, 2:06 PM
Restricted Application added a project: Operations. · View Herald TranscriptTue, Oct 27, 2:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Medium priority.Tue, Oct 27, 2:06 PM

Change 636666 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/varnish/libvmod-netmapper@master] 1.8: add 'ABI vrt' to vmod_netmapper.vcc

https://gerrit.wikimedia.org/r/636666

Change 636666 merged by Ema:
[operations/software/varnish/libvmod-netmapper@master] 1.8: add 'ABI vrt' to vmod_netmapper.vcc

https://gerrit.wikimedia.org/r/636666

Change 636669 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/varnish/libvmod-netmapper@debian] Release 1.9-1

https://gerrit.wikimedia.org/r/636669

Change 636669 merged by Ema:
[operations/software/varnish/libvmod-netmapper@debian] Release 1.9-1

https://gerrit.wikimedia.org/r/636669

Mentioned in SAL (#wikimedia-operations) [2020-10-27T14:55:15Z] <ema> upload libvmod-netmapper 1.9-1 to buster-wikimedia component/varnish6 T266567

Mentioned in SAL (#wikimedia-operations) [2020-10-27T15:13:21Z] <ema> cp4032: varnish-frontend-restart with libvmod-netmapper 1.9-1 T266567

ema closed this task as Resolved.Tue, Oct 27, 3:28 PM
ema claimed this task.

Done in libvmod-netmapper 1.9-1, closing.

Mentioned in SAL (#wikimedia-operations) [2020-10-28T10:25:00Z] <ema> A:cp (except cp3052, running varnish 5) upgrade libvmod-netmapper to 1.9-1 T266567 T264398

Mentioned in SAL (#wikimedia-operations) [2020-10-28T10:39:33Z] <ema> due to T266651, cancel the entry above: A:cp upgrade libvmod-netmapper to 1.9-1 T266567 T264398

Mentioned in SAL (#wikimedia-operations) [2020-10-29T08:53:57Z] <vgutierrez> A:cp (except cp3052, running varnish 5) upgrade libvmod-netmapper to 1.9-1 T266567 T264398